/*
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
Ext.namespace("Heron.i18n");

/** api: (define)
 *  module = Heron.i18n
 *  class = Heron.i18n.dict (sr_Latn_RS)
 *  base_link = `Ext.form.ComboBox <http://dev.sencha.com/deploy/ext-3.3.1/docs/?class=Ext.form.ComboBox>`_
 */

/**
 * Define dictionary for the Serbian Latin locale for Serbia.
 * Donated by: Davorin Bajic
 */
Heron.i18n.dict = {
    // 0.67
	'Active Layers' : 'Aktivni slojevi',
	'Base Layer': 'Osnovni sloj',
	'Base Layers': 'Osnovni slojevi',
	'BaseMaps': 'Osnovna mapa',
	'Choose a Base Layer': 'Odaberi osnovni sloj',
	'Legend': 'Legenda',
	'Feature Info': 'Informacije o objektu',
	'Feature Data': 'Podaci za objekat',
	'Feature(s)': 'Objekat(i)',
	'No layer selected': 'Nije izabran sloj',
	'Save Features': 'Sa&#269;uvaj objekte',
	'Get Features': 'Dobiti objekat',
	'Feature information': 'Informacije o objektu',
	'No Information found': 'Nema prona&#273;enih informacija',
	'Layer not added': 'Sloj nije dodat',
	'Attribute': 'Atribut',
	'Value': 'Vrijednost',
	'Recieving data':'Preuzimanje podataka',
	'Layers': 'Slojevi',
	'No match': 'Nije prona&#273;eno',
	'Loading...': 'U&#269;itavanje...',
	'Bookmarks': 'Pre&#269;ice',
	'Places': 'Mjesta',
	'Unknown': 'Nepoznato',
	'Feature Info unavailable':'Informacije o objektu nedostupne',
	'Pan': 'Pomjeranje mape',
	'Measure length': 'Mjerenje du&#382;ina',
	'Measure area': 'Mjerenje povr&#353;ina',
	'Leg' : 'Ruta',
	'Length': 'Du&#382;ina',
	'Area': 'Povr&#353;ina',
	'Result >': 'Rezultat(a) >',
	'< Search': '< Pretra&#382;ivanje',
	'Search': 'Pretra&#382;ivanje',
	'Search Nominatim': 'Pretraga podataka po imenu i/ili adresi',
	'Search OpenLS' : 'OpenLS servis za pretragu',
	'Search PDOK': 'Prona&#273;i PDOK...',
	'Searching...': 'Pretra&#382;ivanje u toku...',
	'Search Completed: ': 'Pretra&#382;ivanje zavr&#353;eno: ',
	'services':'servis(a)',
	'service':'servis',
	'Type Nominatim': 'Upi&#353;ite naziv mjesta i/ili adresu...',
	'Overlays': 'Tematski slojevi',
	'Waiting for': 'Pri&#269;ekati',
	'Warning': 'Upozorenje',
	'Zoom in': 'Uve&#263;aj',
	'Zoom out': 'Smanji',
	'Zoom to full extent':'Uve&#263;aj u punom obimu',
	'Zoom previous': 'Prethodno uve&#263;ano',
	'Zoom next': 'Naredno uve&#263;ano',

	// 0.68
	'Scale': 'Razmjer',
	'Resolution': 'Rezolucija',
	'Zoom': 'Uve&#263;anje',

	// 0.70
	'Export': 'Export',
	'Choose a Display Option' : 'Izaberite displej opciju',
	'Display': 'Displej',
	'Grid': 'Tabela',
	'Tree' : 'Tree',
	'XML' : 'XML',
	'Invalid export format configured: ': 'Pogre&#353;no konfigurisan format za export: ',
	'No features available or non-grid display chosen' : 'Nema prona&#273;enih objekata ili ne u tabelarnom prikazu',
	'Choose an Export Format' : 'Izaberi format za export',
	'Print Visible Map Area Directly' : 'Direktno &#353;tampanje vidljivog prostora sa mape',
	'Direct Print Demo' : 'Prikaz direktnog &#353;tampanja',
	'This is a simple map directly printed.' : 'Ovo je jednostavna mapa od&#353;tampana direktno.',
	'Print Dialog Popup with Preview Map' : 'Print Dialog Popup sa pregledom mape',
	'Print Preview' : 'Pregled prije &#353;tampanja',
	'Print Preview Demo' : 'Primjer pregleda prije &#353;tampanja',
	'Error getting Print options from server: ' : 'Gre&#353; u dobijanju opcije za &#353;tampanje sa servera: ',
	'Error from Print server: ' : 'Gre&#353;ke na serveru: ',
	'No print provider url property passed in hropts.' : 'No print provider url property passed in hropts.',
	'Create PDF...' : 'Kreiraj PDF...',
	'Loading print data...' : 'U&#269;itavanje podataka za &#353;tamanje...',

	 // 0.71
	'Go to coordinates': 'Idi na koordinate',
	'Go!': 'Idi!',
	'Pan and zoom to location': 'Zumiranje XY lokacije',
	'Enter coordinates to go to location on map': 'Unesite koordinate za lokaciju koju &#382;elite da prika&#382;ete na mapi',
	'Active Themes': 'Aktivni slojevi',
	'Move up': 'Gore',
	'Move down': 'Dole',
	'Opacity': 'Providnost',
	'Remove layer from list': 'Izbrisati sloj sa liste',
	'Tools': 'Alati',
	'Removing': 'Uklanjanje',
	'Are you sure you want to remove the layer from your list of layers?': 'Da li ste sigurni da &#382;elite da uklonite sloj sa liste slojeva?',
	'You are not allowed to remove the baselayer from your list of layers!': 'Nije vam dozvoljeno da uklonite osnovni sloj ili slojeva sa liste!',

	// 0.72
	'Draw Features': 'Crtanje objekata',

	// 0.73
	'Spatial Search' : 'Prostorno pretra&#382;ivanje',
       'Search by Drawing': 'Pretraga prema nacrtanoj geometriji',
	'Select the Layer to query' : 'Izaberite sloj za postavljanje upita',
	'Choose a geometry tool and draw with it to search for objects that touch it.': 'Izaberite geometriju na osnovu koje &#263;e biti pretra&#382;eni objekti ispod. ',
	'Seconds' : 'Sekunde',
	'Working on it...': 'U izradi...',
	'Still searching, please be patient...': 'Pretra&#382;ivanje aktivno, sa&#269;ekajte...',
	'Still searching, have you selected an area with too many objects?' : 'Pretra&#382;ivanje aktivno, izabrali ste podru&#269;je sa previ&#353;e objekata?',
	'as' : 'kao',
	'Undefined (check your config)': 'Nedefinisan (provjerite va&#353;e konfiguracijske postavke)',
    'Objects': 'Objekti',
    'objects': 'objekti',
    'Features': 'Karakteristike',
    'features': 'karakteristike',
    'Result': 'Rezultat',
    'Results': 'Rezultati',
    'of': 'od',
    'Using geometries from the result: ': 'Kori&#353;tenje geometrije iz rezultata: ',
    'with': 'sa',
    'Too many geometries for spatial filter: ': 'Previ&#353;e geometrije za prostorni filter ',
    'Bookmark current map context (layers, zoom, extent)': 'Stvaranje pre&#269;ica na osnovu konteksta mape (slojevi, zoom, extent)',
    'Add a bookmark': 'Dodavanje pre&#269;ica',
    'Bookmark name cannot be empty': 'Naziv pre&#269;ice ne mo&#382;e biti prazan',
    'Your browser does not support local storage for user-defined bookmarks': 'Va&#353; preglednik ne podr&#382;ava lokalne simbole',
    'Return to map navigation': 'Povratak na navigaciju mape',
    'Draw point': 'Nacrtaj ta&#269;ku',
    'Draw line': 'Nacrtaj liniju',
    'Draw polygon': 'Nacrtaj poligon',
    'Draw circle (click and drag)': 'Nacrtaj krug (kliknite i povucite)',
    'Draw Rectangle (click and drag)': 'Nacrtaj pravougaonih (klikni i povuci)',
    'Sketch is saved for use in Search by Selected Features': 'Skica se sprema za upotrebu ',
    'Select a search...': 'Odaberite pretragu...',
    'Clear': 'Brisanje',

    // 0.74
    'Project bookmarks': 'Pre&#269;ice projekta',
    'Your bookmarks': 'Va&#353;a pre&#269;ica',
    'Name': 'Naziv',
    'Description': 'Opis',
    'Add': 'Dodaj',
    'Cancel': 'Izlaz',
    'Remove bookmark:': 'Izbri&#353;i pre&#269;icu:',
    'Restore map context:': 'Vra&#263;anje na sadr&#382;aj mape:',
    'Error: No \'BookmarksPanel\' found.': 'Gre&#353;ka: Ne postoji\'Pre&#269;ica panela\' .',
    'no zoom': 'Nije pove&#263;ano',
    'Mode': 'Mod',
    'Remember locations': 'Zapamti lokaciju',
    'Hide markers on close': 'Sakrij markere u neposrednoj blizini',
    'Remove markers on close': 'Uklanjanje markera u neposrednoj blizini',
    'Remove markers': 'Uklanjanje markera',
    'Location': 'Lokacija',
    'Marker position: ': 'Pozicija lokacije: ',
    'No features found': 'Objekat ne postoji',
    'Feature Info unavailable (you may need to make some layers visible)': 'Slojevi moraju biti vidljivi',
    'Search by Feature Selection': 'Pretraga selektovanjem objekata',
    'Download': 'Preuzmi',
    'Choose a Download Format': 'Izaberi format za preuzimanje',
    'Remove all results': 'Izbri&#353;i sve rezultate ',
    'Download URL string too long (max 2048 chars): ': 'Preuzimanje URL-a zahtjeva kra&#263;i string (max 2048 znakova): ',
    'Multiple Searches': 'Vi&#353;estruko pretra&#382;ivanje',
    'Build your own searches': 'Pretra&#382;ivanje kreiranjem upita',

       // 0.75
    'Query Panel': 'Panel upita',
	'Cancel current search': 'Zaustavi trenutnu pretragu',
    'Search in target layer using the selected filters': 'Tra&#382;iti u ciljanom sloju pomo&#263;u uslova pretrage',
    'Ready': 'Spremno',
	'Search Failed': 'Pretraga pogre&#353;na',
	'Search aborted': 'Pretraga zaustavljena',

    // 0.76
    'No query layers found': 'Nema zadatog upita za odabrani sloj',
    'Edit Layer Style': 'Uredi stil sloj',
    'Zoom to Layer Extent': 'Uve&#263;aj mapu na veli&#269;inu sloja',
    'Get Layer information': 'Dobijanje informacija o sloju',
    'Change Layer opacity': 'Promjeni transparentnost sloja',
    'Select a drawing tool and draw to search immediately': 'Odaberi alat za crtanje. Pretraga po&#269;inje nakon odabira i ucrtavanja na mapi.',
    'Search in': 'Pretraga',
    'Search Canceled': 'Pretraga zaustavljena',
    'Help and info for this example': 'Pomo&#263; i informacije za ovaj primjer'
};
